Bug 187297 - last line not updated properly in gnome-terminal with vim as root
last line not updated properly in gnome-terminal with vim as root
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 15:28 EST by Keith Howanitz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 05:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Howanitz 2006-03-29 15:28:44 EST
Description of problem:
When in gnome-terminal (does not happen in e.g. Ctrl-Alt-F2 system terminal),
edit long file with vi (e.g. vi /etc/X11/xorg.conf). Scroll down with j. The new
line will append the text from the previous line for anything longer than the
current line. Does not work for normal user, only after issuing su - root

Version-Release number of selected component (if applicable):
vim-enhanced-6.4.007-4
vim-minimal-6.4.007-4
VIM - Vi IMproved 6.4 (2005 Oct 15, compiled Mar  9 2006 09:43:24)
Included patches: 2-7

How reproducible: Any file tested, as long as 
1) in gnome-terminal
and
2) logged in as root (su - root)

Steps to Reproduce:
1. start gnome-terminal
2. su - root
3. vi /etc/X11/xorg.conf
4. scroll down with "j"
  
Actual results:
new line appended with text from previous longer line

Expected results:
only new line

Additional info:
vim or gnome-terminal bug???
Comment 1 Karsten Hopp 2007-04-05 05:44:58 EDT
This is supposed to be fixed with the latest release. Please reopen if this
happens again and don't forget to include the exact package versions of vim and
gnome-terminal 

Note You need to log in before you can comment on or make changes to this bug.